Subject: bug#24116: [bug-diffutils] bug#24116: bug#24116: [platform-testers] new snapshot available: diffutils-3.3.50-0353

From: Jim Meyering <[email-masked]>
Date: Fri, 5 Aug 2016 13:35:30 -0700

On Fri, Aug 5, 2016 at 8:54 AM, Dave Gordon <[email-masked]> wrote:
...
>
> after Harald's explanation, can I suggest you change the script to
> separate the "local" and the assignment? That appears to work on all
> shells, including dash(1)
>
> $ dash -c 'f() { local t; t=$(printf '\''\t\t'\''); printf "$t"; }; f' | hd
> 00000000  09 09                                             |..|
> 00000002
>
> It's a really minimal (3-character) change, and it's less ugly than
> adding the extra quotes that the standard seems to say should never
> be needed :)

Thanks, but I've already fixed it by hoisting the definition to global scope:
http://git.sv.gnu.org/cgit/diffutils.git/commit/?id=55596fcd4846a802d